Get an Identity by id
curl --request GET \
--url https://sandbox-api.borderless.xyz/v1/identities/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.borderless.xyz/v1/identities/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.borderless.xyz/v1/identities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "Personal",
"deleted": true,
"hasComplianceChecks": true,
"data": {
"firstName": "<string>",
"lastName": "<string>",
"secondLastName": "<string>",
"middleName": "<string>",
"taxId": "<string>",
"dateOfBirth": "YYYY-MM-DD",
"email": "<string>",
"phone": "<string>",
"activity": "<string>",
"sex": "Male",
"address": {
"id": "<string>",
"street1": "<string>",
"street2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"postalCode": "<string>"
},
"documents": [
{
"id": "<string>",
"issuingCountry": "AF",
"type": "Passport",
"subType": "UtilityBill",
"idNumber": "<string>",
"issuedDate": "YYYY-MM-DD",
"expiryDate": "YYYY-MM-DD"
}
],
"occupationCode": "132011",
"employmentStatus": "Employed",
"sourceOfFunds": "CompanyFunds",
"nameInLocalScript": "εΌ δΌ",
"employerName": "Acme Pte Ltd",
"sourceOfWealth": "BusinessDividendsOrProfits",
"accountPurpose": "CharitableDonations",
"accountPurposeOther": "<string>",
"monthlyAmounts": "LessThan5K",
"actingAsIntermediary": true,
"citizenship": "AF",
"nationalities": [
"AF"
],
"placeOfBirthCountry": "AF",
"placeOfBirthCity": "<string>",
"hasForeignTaxRegistration": true
},
"cryptoCredential": {
"assets": [
{
"asset": "POL",
"vasps": [
"<string>"
]
}
],
"aliases": {
"email": "<string>",
"domainName": "<string>"
},
"status": "Active",
"country": "AF",
"vasps": [
"<string>"
],
"errors": [
{
"message": "<string>",
"reasonCode": "<string>"
}
]
}
}Identities
Get an Identity by id
Retrieve an Identity by its unique identification. Returns 404 if the Identity does not exist.
GET
/
v1
/
identities
/
{id}
Get an Identity by id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successfully retrieved Identity data.
Available options:
Personal, Business - Option 1
- Option 2
Show child attributes
Show child attributes
The Mastercard Crypto Credential for this identity. Omitted entirely when the organization has no Crypto Credential configuration or the identity has no credential yet.
Show child attributes
Show child attributes
Was this page helpful?